Skip site navigation (1)Skip section navigation (2)
Date:      Sat, 3 Dec 2011 16:58:56 +0000 (UTC)
From:      Ken Smith <kensmith@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-all@freebsd.org, svn-src-stable@freebsd.org, svn-src-stable-9@freebsd.org
Subject:   svn commit: r228237 - stable/9/usr.sbin/bsdinstall/scripts
Message-ID:  <201112031658.pB3Gwud9048409@svn.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: kensmith
Date: Sat Dec  3 16:58:55 2011
New Revision: 228237
URL: http://svn.freebsd.org/changeset/base/228237

Log:
  MFC r228192:
  > Add a screen that asks if the user would like to enable crash dumps,
  > giving them a very brief description of the trade-offs.  Whether the
  > user opts in or out add an entry to what will become /etc/rc.conf
  > explaining what dumpdev is and how to turn on/off crash dumps.  The folks
  > who handle interacting with users submitting PRs have asked for this.
  >
  > Reviewed by:  nwhitehorn
  
  Approved by:	re (kib)

Modified:
  stable/9/usr.sbin/bsdinstall/scripts/services
Directory Properties:
  stable/9/usr.sbin/bsdinstall/scripts/   (props changed)

Modified: stable/9/usr.sbin/bsdinstall/scripts/services
==============================================================================
--- stable/9/usr.sbin/bsdinstall/scripts/services	Sat Dec  3 16:30:47 2011	(r228236)
+++ stable/9/usr.sbin/bsdinstall/scripts/services	Sat Dec  3 16:58:55 2011	(r228237)
@@ -26,6 +26,8 @@
 #
 # $FreeBSD$
 
+: ${DIALOG_OK=0}
+
 if [ -f $BSDINSTALL_TMPETC/rc.conf.services ]; then
 	eval `sed -e s/YES/on/I -e s/NO/off/I $BSDINSTALL_TMPETC/rc.conf.services`
 else
@@ -51,3 +53,15 @@ for daemon in $DAEMONS; do
 	echo ${daemon}_enable=\"YES\" >> $BSDINSTALL_TMPETC/rc.conf.services
 done
 
+echo \# Set dumpdev to \"AUTO\" to enable crash dumps, \"NO\" to disable >> \
+	$BSDINSTALL_TMPETC/rc.conf.services
+
+dialog --backtitle "FreeBSD Installer" --title "Dumpdev Configuration" \
+	--nocancel --yesno \
+	"Would you like to enable crash dumps?  If you start having problems with the system it can help the FreeBSD developers debug the problem.  But the crash dumps can take up a lot of disk space in /var." 0 0
+
+if [ $? -eq $DIALOG_OK ]; then
+	echo dumpdev=\"AUTO\" >> $BSDINSTALL_TMPETC/rc.conf.services
+else
+	echo dumpdev=\"NO\" >> $BSDINSTALL_TMPETC/rc.conf.services
+fi



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201112031658.pB3Gwud9048409>